scene2 = gideros.class(Sprite)
function scene2:init()

---------------------------------------------------------------
-- DISPLAY SIZE VARIABLES
---------------------------------------------------------------
local _H= application:getLogicalWidth()
local _W= application:getLogicalHeight()
local centreX= _W/2
local centreY= _H/2

---------------------------------------------------------------
-- FUNCTION VARIABLES
---------------------------------------------------------------
local startGame
local startSwipe
local endSwipe
local onKeyEvent
--------------------------------------------------------------
-- SOUND VARIABLES AND FUNCTIONS
---------------------------------------------------------------
local picChangeSnd= Sound.new("sounds/picChangeSnd.wav")
local clickSnd= Sound.new("sounds/click.wav")

--------------------------------------------------------------
-- VARIABLES
---------------------------------------------------------------
local word={"zero","one","two","three","four","five","six","seven","eight","nine"}


---------------------------------------------------------------
-- INITIAL SCENE DISPLAY OBJECTS
---------------------------------------------------------------
local bg=Bitmap.new(Texture.new("commonAssets/bg.jpg",true))
self:addChild(bg)

local numeral=Bitmap.new(Texture.new("commonAssets/number"..countNumber..".png",true))
numeral:setAnchorPoint(0.5, 1)
numeral:setX(centreX-150)
numeral:setY(_H-120)
numeral.clickable=true
self:addChild(numeral)

local font = TTFont.new("TektonPro-Bold.otf", 72)
local numeralText=TextField.new(font,"")
numeralText:setTextColor(24,24,150)
numeralText:setText(word[countNumber+1])
numeralText:setX(numeral:getX()-(numeralText:getWidth()/2))
numeralText:setY(numeral:getY()+64)
self:addChild(numeralText)

local sceneText=TextField.new(font,"scene 2")
sceneText:setTextColor(24,24,150)
sceneText:setX(centreX+50)
sceneText:setY(centreY)
sceneText:setScale(0.7,0.7)
self:addChild(sceneText)
----------------------
-- changeSceneBtn
----------------------
local changeSceneBtn =Bitmap.new(Texture.new("commonAssets/arrowUpBtn.png",true))
changeSceneBtn:setAnchorPoint(1, 0)
local changeSceneBtnX=_W-10
local changeSceneBtnY=10
changeSceneBtn:setX(changeSceneBtnX)
changeSceneBtn:setY(changeSceneBtnY)
changeSceneBtn.clickable=true
self:addChild(changeSceneBtn)

---------------------------------------------------------------
-- GOTO NEXT SCREEN
---------------------------------------------------------------
local function swipeRight()
		if countNumber>minNum then
	self:removeEventListener(Event.MOUSE_DOWN,startSwipe)
			picChangeSnd:play()
			countNumber=countNumber-1
			sceneManager:changeScene("scene2", 0.2, SceneManager.moveFromLeft)
		end
end

local function swipeLeft()
		if countNumber<maxNum then
	self:removeEventListener(Event.MOUSE_DOWN,startSwipe)
			picChangeSnd:play()
			countNumber=countNumber+1
			sceneManager:changeScene("scene2", 0.2, SceneManager.moveFromRight)
		end
end

---------------------------------------------------------------
-- SWIPE SCREEN
---------------------------------------------------------------
local swipeSX
local swipeSY -- start coords of touch

startSwipe = function(e)
	swipeSX=e.x
	swipeSY=e.y
	self:addEventListener(Event.MOUSE_UP,endSwipe)
end


endSwipe = function(e)
	self:removeEventListener(Event.MOUSE_UP,endSwipe)
	local swipeX=e.x -swipeSX
	------------------
	--  swipe screen
	------------------
	if swipeX>75 then
		swipeRight()
	end
	if swipeX<-75 then
		swipeLeft()
	end
	------------------
	--  tap something
	------------------
	if swipeX<=75 and swipeX>=-75 then
		-- 'tap' left  border of screen
		if e.x<80 and e.y>100 then
		   swipeRight()
		end
		-- 'tap' right  border of screen
		if e.x>_W-80 and e.y>100 then
		   swipeLeft()
		end
		-- 'tap' changeSceneBtn
		if e.x>changeSceneBtn:getX()-changeSceneBtn:getWidth() and e.x<changeSceneBtn:getX() and e.y>changeSceneBtn:getY() and e.y<changeSceneBtn:getY()+changeSceneBtn:getHeight() then
			clickSnd:play()
			sceneManager:changeScene("scene1", 0.3, SceneManager.moveFromTop)
		end

	end
 end

-------------------------------------------------------------------
-- LISTENERS
-------------------------------------------------------------------
local function delayedAddSwiping()
   local swipeTimer = Timer.new(200, 1)
    swipeTimer:addEventListener(Event.TIMER, function()self:addEventListener(Event.MOUSE_DOWN,startSwipe) end)
    swipeTimer:start()
end

delayedAddSwiping()

end -- of scene2:init()